#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

    int n;
    cin >> n;
    int p = 1, q = 2*n;
    bool pq = true;
    for(int i = 1;i <= n;i++){
        if(pq) {
            cout << p;
            p++;
            pq = false;
        }
        else{
            pq = true;
            cout << q;
            q--;
        }
        cout << ' ';
    }
    cout << '\n';
    for(int i = 1;i <= n;i++){
        if(pq) {
            cout << p;
            p++;
            pq = false;
        }
        else{
            pq = true;
            cout << q;
            q--;
        }
        cout << ' ';
    }

    return 0;
}